@extends('layouts.app')

@section('title', 'Dashboard | Gerencia Docente')

@section('content')
<div class="mdc-layout-grid__inner dashboard-grid">
    <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-12">
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-12-desktop mdc-layout-grid__cell--span-8-tablet mdc-layout-grid__cell--span-4-phone">
                <h1 class="mdc-typography--heading1">Dashboard</h1>
            </div>
        </div>
        @if ($errors->any())
            <div class="mdc-layout-grid__inner">
                <div class="alert alert-danger alert-dismissible fade show mdc-layout-grid__cell mdc-layout-grid__cell--span-12" role="alert">
                    <button type="button" class="close" data-dismiss="modal" aria-label="close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <ul class="mdc-list">
                        @foreach ($errors->all() as $error)
                            <li class="mcd-list-item"><span class="mdc-list-item__text">{{ $error }}</span></li>
                        @endforeach
                    </ul>
                </div>
            </div>
            <br>
        @endif
        <div class="mdc-layout-grid__inner">
            {{-- <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-2-desktop"></div> --}}
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-4">
                <a data-toggle="modal" data-target="#modal-semester" data-action="export" data-title="Escoge un semestre">
                    <div class="mdc-card">
                        <div class="mdc-card__primary-action" tabindex="0">
                            <div id="dash-button-csv" class="mdc-card__media mdc-card__media--square"></div>
                            <hr>
                            <div>
                                <h3>Generar informe de cargas</h3>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-4">
                <a data-toggle="modal" data-target="#modal-semester" data-action="schedule" data-title="Escoge un semestre">
                    <div class="mdc-card">
                        <div class="mdc-card__primary-action" tabindex="0">
                            <div id="dash-button-schedule" class="mdc-card__media mdc-card__media--square"></div>
                            <hr>
                            <div>
                                <h3>Generar horario de semestre</h3>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-4">
                <a data-toggle="modal" data-target="#modal-user-add">
                    <div class="mdc-card">
                        <div class="mdc-card__primary-action" tabindex="0">
                            <div id="dash-button-schedule" class="mdc-card__media mdc-card__media--square"></div>
                            <hr>
                            <div>
                                <h3>Anadir usuario</h3>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-4">
                <a data-toggle="modal" data-target="#modal-semester-clone" data-action="clone" data-title="Escoge un semestre">
                    <div class="mdc-card">
                        <div class="mdc-card__primary-action" tabindex="0">
                            <div id="dash-button-clone" class="mdc-card__media mdc-card__media--square"></div>
                            <hr>
                            <div>
                                <h3>Copiar un semestre</h3>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-4">
                <a href="{{ route('exportCourses') }}">
                    <div class="mdc-card">
                        <div class="mdc-card__primary-action" tabindex="0">
                            <div id="dash-button-schedule" class="mdc-card__media mdc-card__media--square"></div>
                            <hr>
                            <div>
                                <h3>Generar informe de cursos</h3>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
    </div>
</div>
@endsection

@section('modals')
    @include('modal.semester')
    @include('modal.semester-clone')
    @include('modal.user-add')
@endsection

@section('scripts')
    <script type="text/javascript" src="/js/dashboard.js"></script>
@endsection
