@extends('layouts.modal')

@section('modal_id'){{ 'modal-course-edit' }}@overwrite
@section('modal_title'){{ 'Editando curso' }}@overwrite

@section('modal_body')
    <form method="POST" enctype="multipart/form-data" id='modal-course-edit-form'>
        @method('PATCH')
        @csrf
        <input type="hidden" name="id" id="modal-course-edit-id">
        <div class="row">
            <div class="form-group col-6">
                <label for="modal-course-edit-code">Codificacion:</label>
                <input id="modal-course-edit-code" type="text" class="form-control" name="code" maxlength="8" minlength="8" size="8">
            </div>
        </div>
        <div class="row">
            <div class="form-group col-12">
                <label for="modal-course-edit-title">Titulo:</label>
                <input id="modal-course-edit-title" type="text" class="form-control" name="title" maxlength="255">
            </div>
        </div>
        <div class="row">
            <div class="form-group col-8">
                <label for="modal-course-edit-syllabus">Prontuario:</label>
                <input type="file" id="modal-course-edit-syllabus" name="syllabus">
            </div>
            <div class="form-group col-4">
                <label for="modal-course-edit-dept">Departamento:</label>
                <select id="modal-course-edit-dept" class="form-control" name="dept_id" default="1">
                    @foreach (App\Department::all() as $department)
                        <option value="{{ $department->id }}" @if ($department->id === 1) selected @else disabled hidden @endif >
                            {{ $department->name }}
                        </option>
                    @endforeach
                </select>
            </div>
        </div>
    </form>
@overwrite

@section('modal_submit_text'){{ 'Editar' }}@overwrite
@section('modal_submit')
    function(){document.getElementById('modal-course-edit-form').submit()}
@overwrite
