@extends('layouts.modal')

@section('modal_id'){{ 'modal-semester-clone' }}@overwrite
@section('modal_title'){{ 'Escoge un semestre' }}@overwrite

@section('modal_body')
    <form method="POST" id="modal-semester-clone-form">
        @csrf
        <div class="row">
            <div class="col">
                <div class="mdc-form-field">
                    <div class="mdc-select" id="sem-clone-select">
                        <i class="mdc-select__dropdown-icon"></i>
                        <select id="select-semester" class="mdc-select__native-control">
                            <option value="" disabled selected></option>
                            @foreach (App\Semester::all() as $semester)
                                <option value="{{ $semester->code }}">{{ $semester->alpha }}</option>
                            @endforeach
                        </select>
                        <label class="mdc-floating-label">Semestre a copiar</label>
                        <div class="mdc-line-ripple"></div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col">
                <div class="mdc-form-field">
                    <div class="mdc-text-field mdc-text-field--no-label" id="semester-clone-form-new_semester" data-mdc-auto-init="MDCTextField">
                        <input type="text" class="mdc-text-field__input" name="new_semester" maxlength="3">
                        <div class="mdc-line-ripple"></div>
                    </div>
                    <div class="mdc-text-field-helper-line">
                        <p class="mdc-text-field-helper-text mdc-text-field-helper-text--persistent">
                            Codigo del semestre nuevo
                        </p>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="mdc-form-field">
                    <div class="mdc-text-field mdc-text-field--no-label" id="semester-clone-form-new_alpha" data-mdc-auto-init="MDCTextField">
                        <input type="text" class="mdc-text-field__input" name="new_alpha" >
                        <div class="mdc-line-ripple"></div>
                    </div>
                    <div class="mdc-text-field-helper-line">
                        <p class="mdc-text-field-helper-text mdc-text-field-helper-text--persistent">
                            Descripcion del semestre e.g. 20XX-20XX SEM 1
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </form>
@overwrite

@section('modal_submit_text'){{ 'OK' }}@overwrite
@section('modal_submit')
    function(){document.getElementById('modal-semester-clone-form').submit()}
@overwrite




