<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\DashboardController;

Route::get('/', 'HomeController@index')->name('home');

Route::resource('course', 'CourseController')->except([
    'create', 'edit'
]);
Route::resource('professor', 'ProfessorController')->except([
    'create', 'edit'
]);
Route::resource('section', 'SectionController')->only([
    'store', 'update', 'destroy'
]);

// Auth::routes();

Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
Route::post('/dashboard/schedule/{semester}', 'DashboardController@schedule')->name('schedule');
Route::post('/dashboard/export/{semester}', 'DashboardController@export')->name('export');
Route::post('/dashboard/export-courses', 'DashboardController@exportCourses')->name('exportCourses');
Route::post('/dashboard/clone/{semester}', 'DashboardController@cloneSemester')->name('cloneSemester');
Route::post('/dashboard/add-user', 'DashboardController@addUser')->name('addUser');

Route::get('/login', 'Auth\LoginController@redirectToProvider')->name('login');
Route::get('/callback', 'Auth\LoginController@handleProviderCallback')->name('callback');
Route::get('/logout', 'Auth\LoginController@logout')->name('logout');
